summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--misc/floating-IPS/floating-IPS.SlackBuild8
1 files changed, 4 insertions, 4 deletions
diff --git a/misc/floating-IPS/floating-IPS.SlackBuild b/misc/floating-IPS/floating-IPS.SlackBuild
index 221500a3cd..4c808cadde 100644
--- a/misc/floating-IPS/floating-IPS.SlackBuild
+++ b/misc/floating-IPS/floating-IPS.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for floating IPS
-# Copyright 2016 Hunter Sezen California, USA
+# Copyright 2016, 2018 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,9 +23,9 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=floating-IPS
-ZIPNAM=$(echo $PRGNAM | cut -f1 -d"-")
+ZIPNAM=${PRGNAM%%-*}
VERSION=${VERSION:-1.31}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -41,7 +41,7 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT